summaryrefslogtreecommitdiffstats
path: root/.github
diff options
context:
space:
mode:
authorTasos Katsoulas <12612986+tkatsoulas@users.noreply.github.com>2023-06-14 17:44:50 +0300
committerGitHub <noreply@github.com>2023-06-14 17:44:50 +0300
commit899b8b142fc59b44928c65b5250ac24ed579d607 (patch)
tree22dbac54c3e3447c54f5ce289b701c63077d6b8c /.github
parentfaa37832118d4c632fb35cd718babe502edad135 (diff)
Add support for openSUSE 15.5 (#15189)
Signed-off-by: Tasos Katsoulas <tasos@netdata.cloud>
Diffstat (limited to '.github')
-rw-r--r--.github/data/distros.yml6
-rwxr-xr-x.github/scripts/pkg-test.sh4
2 files changed, 8 insertions, 2 deletions
diff --git a/.github/data/distros.yml b/.github/data/distros.yml
index 3e24c9673b..355378f5aa 100644
--- a/.github/data/distros.yml
+++ b/.github/data/distros.yml
@@ -177,6 +177,12 @@ include:
- aarch64
test:
ebpf-core: true
+ - <<: *opensuse
+ version: "15.5"
+ base_image: opensuse/leap:15.5
+ packages:
+ <<: *opensuse_packages
+ repo_distro: opensuse/15.5
- &oracle
distro: oraclelinux
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index a2ae9090cd..85e8b2e8d2 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -82,10 +82,10 @@ install_suse_like() {
# Install Netdata
# Strange quoting is required here so that glob matching works.
- zypper install -y --allow-unsigned-rpm /netdata/artifacts/netdata*.rpm || exit 1
+ zypper install -y --allow-downgrade --allow-unsigned-rpm /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
- zypper install -y --no-recommends curl netcat-openbsd jq || exit 1
+ zypper install -y --allow-downgrade --no-recommends curl netcat-openbsd jq || exit 1
}
dump_log() {